# draugr.writers.mixins.bar_writer_mixin.BarWriterMixin

class draugr.writers.mixins.bar_writer_mixin.BarWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ bar charts

  __init__()

  Methods

  `__init__`() |

  `bar`(tag, values, step[, y_error, x_labels, ...])

  param values

  abstract bar(tag: str, values: list, step: int, y_error=None, x_labels=None, y_label='Probability', x_label='Action Categorical Distribution', **kwargs) → None

    > param values

    > param y_error

    > param x_labels

    > param y_label

    > param x_label

    Parameters

      - tag –

      - step –

      - kwargs –